Mint
curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/llm-gateway/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/llm-gateway/keys"
payload = { "displayName": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/llm-gateway/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"gatewayKey": {
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"id": "<string>",
"keyPrefix": "<string>",
"revokedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"plaintextKey": "<string>"
}LLM Gateway Keys
Mint
Invokes the c1.api.llm_gateway.v1.GatewayKeyService.Mint method.
POST
/
api
/
v1
/
llm-gateway
/
keys
Mint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
The MintGatewayKeyRequest message.
The displayName field.
Was this page helpful?
⌘I